CREATE TABLE profiles (
    pubkey TEXT PRIMARY KEY
);

CREATE INDEX idx_profiles_pubkey ON profiles (pubkey);

create TABLE contacts (
    profile TEXT REFERENCES profiles(pubkey) ON DELETE CASCADE,
    contact TEXT REFERENCES profiles(pubkey) ON DELETE CASCADE
);

CREATE TABLE metadata (
    pubkey TEXT REFERENCES profiles(pubkey) ON DELETE CASCADE,
    name TEXT,
    display_name TEXT,
    about TEXT,
    website TEXT,
    picture TEXT,
    banner TEXT,
    nip05 TEXT,
    lud06 TEXT,
    lud16 TEXT,
    custom TEXT
);

CREATE INDEX idx_metadata_profiles_pubkey ON metadata (pubkey);

